# RH 7.1 set build_7 1
# RH 6.2 set build_7 0
%define build_7	0

%if %{build_7}
%define contentdir	/var/www/html/%{name}
%define rhdist rh7
%else
%define contentdir	/home/httpd/html/%{name}
%define rhdist rh6
%endif

Summary:   Multi Router Traffic Grapher
Name:      mrtg
Version:   2.9.18
Release:   1.%{rhdist}
URL:       http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/
Source0:   http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/pub/%{name}-%{version}.tar.gz
Source1:   mrtg.cfg
Source2:   README-14allcgi
Source3:   14all.cgi
Copyright: distributable
Group:     Applications/Network
Requires:  perl >= 5.004
%if %{build_7}
Requires:  gd >= 1.8.3
%else
Requires:  gd <= 1.3.9
%endif

Buildroot: /tmp/%{name}-%{version}-root
Packager:  Gomez Henri <hgomez@slib.fr>, Tim Verhoeven <dj@sin.khk.be>

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF or PNG
images which provide a LIVE visual representation of this traffic. 

%prep
%setup -q

echo %{contentdir}
echo "Removing..."
find . -name "*.orig" -print -exec rm -f {} \;

%build
./configure
make

cd contrib
find . -type f -exec /usr/bin/perl -e 's/^#!\/.*/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -name "*.pl" -exec perl -e 's;\015;;gi' -p -i \{\} \;

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/mrtg
mkdir -p ${RPM_BUILD_ROOT}%{contentdir}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/mrtg2/Pod
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

install -m 644 images/*   ${RPM_BUILD_ROOT}%{contentdir}
install -m 644 doc/*.html ${RPM_BUILD_ROOT}%{contentdir}
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/mrtg
perl -e 's|\@WORKDIR@|%{contentdir}|g' -pi ${RPM_BUILD_ROOT}/etc/mrtg/mrtg.cfg

install -m 644 %{SOURCE2} contrib/14all/README
install -m 755 %{SOURCE3} contrib/14all

for i in bin/mrtg bin/rateup bin/cfgmaker bin/indexmaker; do
  install -m 755 -c $i ${RPM_BUILD_ROOT}/usr/bin/
done

for i in lib/mrtg2/*.pm; do
	install -m 644 $i ${RPM_BUILD_ROOT}/usr/lib/mrtg2/
done

for i in lib/mrtg2/Pod/*.pm; do
	install -m 644 $i ${RPM_BUILD_ROOT}/usr/lib/mrtg2/Pod/
done

for i in doc/*.1; do
	install -m 644 $i ${RPM_BUILD_ROOT}%{_mandir}/man1/
done 

%post
if ! grep '* * * * root /usr/bin/mrtg' /etc/crontab > /dev/null; then
	echo "" >> /etc/crontab
	echo "0-59/5 * * * * root /usr/bin/mrtg /etc/mrtg/mrtg.cfg" >> /etc/crontab
fi

%postun
if [ $1 = 0 ]; then
	grep -v '* * * * root /usr/bin/mrtg' /etc/crontab > /etc/crontab.new
	mv /etc/crontab.new /etc/crontab
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc 				contrib/
%doc 				ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README 
%dir				/etc/mrtg
%dir				/usr/lib/mrtg2
%dir				%{contentdir}
%config(noreplace) 	/etc/mrtg/mrtg.cfg
%{contentdir}/*
/usr/bin/*
/usr/lib/mrtg2/*
%{_mandir}/man1/*

%changelog
* Tue Jun 04 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.18]
%if %{build_7}
- compiled on Redhat 7.2 plus updates 
%else
- compiled on Redhat 6.2 plus updates
%endif

* Tue Jun 04 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.17]
%if %{build_7}
- compiled on Redhat 7.1 plus updates with rpm-4.0.2
%else
- compiled on Redhat 6.2 plus updates with rpm-3.0.5
%endif

* Tue Jun 04 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.16]

* Mon Jun 04 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.14]

* Sun Jun 03 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.13]
- rpm not released 

* Fri Apr 27 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.12a]
- spec handle now rh7/rh6.x case

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.10]

* Mon Jan 08 2001 Henri Gomez <hgomez@slib.fr>
 [2.9.7]
- happy new year

* Thu Dec 14 2000 Henri Gomez <hgomez@slib.fr>
 [2.9.6]

* Tue Nov 16 2000  Henri Gomez <hgomez@slib.fr>
 [2.9.4-2]
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5
- corrected links

* Fri Oct 27 2000  Henri Gomez <hgomez@slib.fr>
 [2.9.4]
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5

* Thu Oct 26 2000  Henri Gomez <hgomez@slib.fr>
 [2.9.2]
- clean up spec file for 2.9 release
  (no .gif, cfgmaker_ip removed)
- mrtg 2.9 look for .pm in /usr/lib/mrtg2, so no more need 
  to relocate .pm at post time.
- mrtg config (mrtg.cfg) goes now in /etc/mrtg/
- added manual to rpm
- spec file adapted to RH 7.0

* Wed Feb 9 2000 Tim Verhoeven <dj@sin.khk.be>
 [2.8.12]
- source archiv changed back to .gz
- upgraded to mrtg version 2.8.12

* Sat Nov 13 1999 Peter Hanecak <hanecak@megaloman.sk>
 [2.8.9]
- source archiv changed to .bz2

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
 [2.8.8]
- important release since rrd support is added
  It came from Rainer Bawidamann work. If you have rrdtool RPM
  installed, just add UseRRDTool: Yes in your config files.
- added latest patch for mrtg-rrd.
- to convert your mrtg logs to rrd format, use log2rrd.pl 
  you can found on rrdtool package.
  
* Mon Aug 16 1999 Henri Gomez <gomez@slib.fr>
 [2.8.6]

* Fri Jul 23 1999 Henri Gomez <gomez@slib.fr>
 [2.8.4]
- mrtg could use now png instead of gif via gd1.6.1
  but since gd1.6.1 remove all gif reference it could
  break your dependencies, so we don't use it for now.
* Tue Jun 15 1999 Henri Gomez <gomez@slib.fr>
 [2.7.5]
- removed gd-devel requires, RH5.x use libgd-devel and RH6 gd-devel.
- removed CR from perl files in contrib.
- added cfgmaker_ip in binaries.
- rework modules install/de-install for RH5.x/6.0 compat

* Wed Jun  9 1999 Henri Gomez <gomez@slib.fr>
 [2.7.4-2]
- set perl path for contribs
- set SNMP's perl to /usr/lib/perl5/site_perl (clean for RH5.x and RH6.0)

* Wed May  5 1999 Ian Macdonald <ianmacd@xs4all.nl>
  [2.7.4-1]
- changed Perl module installation to be version independent
- changed libgd dependency to gd
- changed URL
- strip binaries
- include contrib directory as documentation

* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
  [2.6.6]

* Wed Feb 17 1999 Henri Gomez <gomez@slib.fr>
  [2.6.4]
- removed mrtg-squid (specific OIDS)
- cfgmaker and indexmaker now /usr/bin
- libgd must be >= 1.3

* Fri Jan 29 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-3]
- Added mrtg-squid to monitor squid (specific OIDS)

* Fri Jan 28 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-2]
- applied squid snmp patch

* Wed Jan 27 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-1] 
- upgraded to 2.5.4c.
- added require libgd-devel

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [2.5.4a-1]

* Thu Jun 18 1998 Arne Coucheron <arneco@online.no>
  [2.5.3-1]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using install -d in various places instead of cp
- added -q parameter to %setup
- removed older changelogs
